package com.dayou.service;
import com.dayou.entity.WorkRecordTransfer;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;
/**
 * <p>
 * 任务转交表 服务类
 * </p>
 *
 * @author wucl
 * @since 2024-04-30
 */
public interface IWorkRecordTransferService extends IService<WorkRecordTransfer> {

        Page<WorkRecordTransfer> selectPage(Page page,WorkRecordTransfer workRecordTransfer);

        WorkRecordTransfer detail(Long id);

        Boolean add(WorkRecordTransfer workRecordTransfer);

        Boolean update(WorkRecordTransfer workRecordTransfer);

        Boolean delete(Long id);

}
